The printed version of the Options for Knowledge guide is now available. The yellow GEAP application for Regional Gifted Centers, Classical Schools, Academic Centers, and IB Prep Programs cannot be downloaded from the Internet. This application, along with the white standard application, can be found in the Options for Knowledge guide. For a copy, call 773-553-2105.

MAGNET PRESCHOOL
PROGRAMS BY TYPE

-Magnet Preschools

K-8 PROGRAMS BY TYPE

-Academic Center
-Classical
-Gifted
-IB Prep Programme
-IB Middle Years Program
-Magnet Elementary
-Magnet Cluster

9-12 PROGRAMS BY TYPE

-Selective Enrollment
-Magnet High Schools
-IB Diploma Programme

| Welcome to the Options for Knowledge Website
| Fine Art Fridays Fine and Performing Arts Magnet Cluster Program professional development for Magnet Cluster Lead Teachers (MCLT).
| A note about translate functionality
| Show All »

| Application deadline for 2007-08 school year. Date: 12/22/2006
| Show Calendar »
| Show All »

It is the policy of the Board of Education of the City of Chicago not to discriminate on the basis of race, color, creed, religion, sexual orientation, national origin, age, disability or sex. Inquiries concerning the application of Title IX of the Education Amendments of 1972 and the regulations promulgated thereunder concerning sex discrimination should be referred to the Title IX Officer, Chicago Public Schools, 125 South Clark, Chicago, IL 773-553-2688 (TTY-773-553-2699).

Copyright © 2006, Chicago Public Schools Gifted and Enriched Academic Program